Subject: Re: What's cooking in git.git (Mar 2024, #05; Tue, 19)

From: Max Gautier <[email-masked]>
Date: Fri, 22 Mar 2024 13:39:40 +0100

On Fri, Mar 22, 2024 at 06:14:37AM +0100, Dragan Simic wrote:
> On 2024-03-22 03:47, Brian Lyles wrote:
> > I would agree that it would be hard to advertise without some change
> > there. I think that documenting an optional opportunity for now before
> > considering if it should be a requirement later makes sense.
> 
> IMHO, making it a strict requirement would only raise the bar for
> contributors even higher, and increase the "do this, do that" kind
> of traffic on the mailing list.  In other words, I think it's the
> best to start slowly and see how many new patches will include the
> additional summary.
> 
> > Would it be beneficial to request some specific heading, phrase, or
> > other structured text such that this summary is obvious, or even easily
> > extracted with some sort of script? Or is that perhaps overkill for now?
> > I could see relying on any sort of automatic extraction being unreliable
> > even with such a recommendation so perhaps it's not worth pursuing for
> > that reason, but I could imagine it may be useful to have a standardized
> > way to separate this release notes/what's cooking summary from the rest
> > of the cover letter (which also acts as a summary of the series).
> 
> Of course, it would be nice to have a strict format in place, to
> allow automated parsing and extraction, but I'm not sure how many
> patches would actually adhere to that requirement.

While not every patch would use the format, proposing one might be a good
idea nevertheless, because "clearly marked as such" is not necessarily
clear for everyone. At least that way if you don't have any idea you can
use the format.
For instance (inspired from the k8s project):

```RELNOTE
Your release note here
```

-- 
Max Gautier